<?session_start();
echo <<<h

<HTML>
<HEAD>
<TITLE> REPORTE DE UTILIDADES </TITLE>
<LINK href="estilo.css" rel=stylesheet>

<script language="JavaScript" src="calen.js"></script>
<SCRIPT LANGUAGE="JavaScript">
	var imprimible="";
	var oficinas="";

	function versionimp()
	    {
         if (imprimible=='')
			imprimible="s";
		else
			imprimible="";
	    }

	function cambiadeaño(f)
     	{
		 document.location="repES.php?año=" + f.año.value;
        }
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" class=lmed>

h;

$tclas="tmed";
$añoactual=date("Y");

if ($año=='')
	$año=$añoactual;
echo <<<h

<form name=forma method="POST">
<table border="1" cellspacing="0" cellpadding="1" align="center" bordercolor="#306098" class=tmed>
<caption><b><FONT SIZE="2">REPORTE DE INGRESOS Y EGRESOS</FONT> </caption>
<!--<tr>
	<td  align="center" bgcolor="#EAF4FF">
		<INPUT TYPE="checkbox" NAME="imp" onclick="versionimp();">VERSIÓN IMPRIMIBLE
	</td>
</tr>-->

<tr>
	<td  align=center bgcolor="">
		AÑO: <select name="año" class="sel" onChange="cambiadeaño(this.form);">
			 <option value="$año">$año
h;

for ($iaño=$añoactual;$iaño>=2012;$iaño--){
echo <<<h
   <option value="$iaño">$iaño
h;
}

echo <<<h
        	</select>

	</td>
</tr>

h;

$mesactual=date("m");

echo <<<h
<tr>
	<td >
	  <B>$le->sucursal</B>
	</td>
</tr>

<tr>
	<td bgcolor="">
     MES INICIAL: 
		<select name="fechaini" class="sel">
		<option value="">
h;

for ($i=1;$i<=12;$i++){
	switch($i){ 
		case 1:   
			$md="ENERO";
		break;

		case 2:   
			$md="FEBRERO";
		break; 

		case 3:   
			$md="MARZO";
		break;

		case 4:   
			$md="ABRIL";
		break;

		case 5:   
			$md="MAYO";
		break; 

		case 6:   
		   $md="JUNIO";
		break; 

		case 7:   
		   $md="JULIO";
		break;

		case 8:   
		   $md="AGOSTO";
		break; 

		case 9:   
			$md="SEPTIEMBRE";
		break;

		case 10:   
			$md="OCTUBRE";
		break;

		case 11:   
			$md="NOVIEMBRE";
		break; 

		case 12:   
			$md="DICIEMBRE";
		break; 

		default: break;
	}


$fechaini="$año-$i-01";


	if ($i == $mesactual)
		$selactual="SELECTED";
	else
		$selactual="";

//-->Obtiene el color de fondo para el mes
echo <<<h
			<option value="$fechaini" $selactual>$md

h;

}

echo <<<h
		</select>

		MES FINAL: 
		<select name="fechafin" class="sel">
			<option value="">
h;


for ($i=1;$i<=12;$i++){
	switch($i){ 
		case 1:   
			$md="ENERO";
		break;

		case 2:   
			$md="FEBRERO";
		break; 

		case 3:   
			$md="MARZO";
		break;

		case 4:   
			$md="ABRIL";
		break;

		case 5:   
			$md="MAYO";
		break; 

		case 6:   
			$md="JUNIO";
		break; 

		case 7:   
			$md="JULIO";
		break;

		case 8:   
			$md="AGOSTO";
		break; 

		case 9:   
			$md="SEPTIEMBRE";
		break;

		case 10:   
			$md="OCTUBRE";
		break;

		case 11:   
			$md="NOVIEMBRE";
		break; 

		case 12:   
			$md="DICIEMBRE";
		break; 

		default: break;

	}


$ultimo=31;

while(Checkdate($i,$ultimo,$año) == 0)
 {
  $ultimo--;  
 }

$fechafin="$año-$i-$ultimo";


	if ($i == $mesactual)
		$selactual="SELECTED";
	else
		$selactual="";

//-->Obtiene el color de fondo para el mes



echo <<<h
			<option value="$fechafin" $selactual>$md
h;
}

echo <<<h
		</select>
	</td>	
</tr>
h;

echo <<<h
		</select>
	</td>
</tr>

<tr>
	<td align="center" bgcolor="">
		<BR>
		<input type="button" name="generar" value=" Generar Reporte " class="botones" onclick="window.open('repES2_1.php?anosel=$año&fechaini=' + forma.fechaini.value + '&fechafin=' + forma.fechafin.value + '&mesini=' + forma.fechaini.options[forma.fechaini.selectedIndex].text + '&mesfin=' + forma.fechafin.options[forma.fechafin.selectedIndex].text + '&oficinas=' + oficinas + '&imp=' + imprimible,'','toolbar=no,location=no,directories=no,status=no,menubar=yes,scrollbars=yes,resizable=yes,top=0,left=0');">
		<BR>&nbsp;
	</td>
</tr>

h;

//}

echo "</table>"; 

